Package org.lwjgl.opengl

# Class ARBProgram

java.lang.Object
org.lwjgl.opengl.ARBProgram

Direct Known Subclasses:
  `ARBFragmentProgram`, `ARBVertexProgram`

public class ARBProgram extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CURRENT_MATRIX_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_CURRENT_MATRIX_STACK_DEPTH_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MATRIX0_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX1_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX10_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX11_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX12_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX13_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX14_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX15_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX16_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX17_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX18_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX19_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX2_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX20_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX21_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX22_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX23_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX24_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX25_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX26_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX27_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX28_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX29_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX3_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX30_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX31_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX4_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX5_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX6_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX7_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX8_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MATRIX9_ARB`
Accepted by the <mode> parameter of MatrixMode:
`static final int`
`GL_MAX_PROGRAM_ATTRIBS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_ENV_PARAMETERS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_INSTRUCTIONS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_MATRICES_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_PARAMETERS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_TEMPORARIES_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_ATTRIBS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_BINDING_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_ERROR_POSITION_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_PROGRAM_ERROR_STRING_ARB`
Accepted by the <name> parameter of GetString:
`static final int`
`GL_PROGRAM_FORMAT_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_FORMAT_ASCII_ARB`
Accepted by the <format> parameter of ProgramStringARB:
`static final int`
`GL_PROGRAM_INSTRUCTIONS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_LENGTH_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_NATIVE_ATTRIBS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_NATIVE_PARAMETERS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_NATIVE_TEMPORARIES_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_PARAMETERS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_STRING_ARB`
Accepted by the <pname> parameter of GetProgramStringARB:
`static final int`
`GL_PROGRAM_TEMPORARIES_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_TRANSPOSE_CURRENT_MATRIX_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

## Constructor Summary

Constructors
Constructor
Description
`ARBProgram()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindProgramARB(int target, int program)`
`static void`
`glDeleteProgramsARB(int program)`
Overloads glDeleteProgramsARB.
`static void`
`glDeleteProgramsARB(IntBuffer programs)`
`static int`
`glGenProgramsARB()`
Overloads glGenProgramsARB.
`static void`
`glGenProgramsARB(IntBuffer programs)`
`static int`
`glGetProgramARB(int target, int parameterName)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetProgramARB(int target, int parameterName, IntBuffer params)`
`static void`
`glGetProgramEnvParameterARB(int target, int index, DoubleBuffer params)`
`static void`
`glGetProgramEnvParameterARB(int target, int index, FloatBuffer params)`
`static int`
`glGetProgramiARB(int target, int parameterName)`
Overloads glGetProgramivARB.
`static void`
`glGetProgramLocalParameterARB(int target, int index, DoubleBuffer params)`
`static void`
`glGetProgramLocalParameterARB(int target, int index, FloatBuffer params)`
`static String`
`glGetProgramStringARB(int target, int parameterName)`
Overloads glGetProgramStringARB.
`static void`
`glGetProgramStringARB(int target, int parameterName, ByteBuffer paramString)`
`static boolean`
`glIsProgramARB(int program)`
`static void`
`glProgramEnvParameter4ARB(int target, int index, DoubleBuffer params)`
`static void`
`glProgramEnvParameter4ARB(int target, int index, FloatBuffer params)`
`static void`
`glProgramEnvParameter4dARB(int target, int index, double x, double y, double z, double w)`
`static void`
`glProgramEnvParameter4fARB(int target, int index, float x, float y, float z, float w)`
`static void`
`glProgramLocalParameter4ARB(int target, int index, DoubleBuffer params)`
`static void`
`glProgramLocalParameter4ARB(int target, int index, FloatBuffer params)`
`static void`
`glProgramLocalParameter4dARB(int target, int index, double x, double y, double z, double w)`
`static void`
`glProgramLocalParameter4fARB(int target, int index, float x, float y, float z, float w)`
`static void`
`glProgramStringARB(int target, int format, CharSequence string)`
Overloads glProgramStringARB.
`static void`
`glProgramStringARB(int target, int format, ByteBuffer string)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PROGRAM_FORMAT_ASCII_ARB

public static final int GL_PROGRAM_FORMAT_ASCII_ARB
Accepted by the <format> parameter of ProgramStringARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_LENGTH_ARB

public static final int GL_PROGRAM_LENGTH_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_FORMAT_ARB

public static final int GL_PROGRAM_FORMAT_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_BINDING_ARB

public static final int GL_PROGRAM_BINDING_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_INSTRUCTIONS_ARB

public static final int GL_PROGRAM_INSTRUCTIONS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_INSTRUCTIONS_ARB

public static final int GL_MAX_PROGRAM_INSTRUCTIONS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB

public static final int GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB

public static final int GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_TEMPORARIES_ARB

public static final int GL_PROGRAM_TEMPORARIES_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_TEMPORARIES_ARB

public static final int GL_MAX_PROGRAM_TEMPORARIES_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_NATIVE_TEMPORARIES_ARB

public static final int GL_PROGRAM_NATIVE_TEMPORARIES_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB

public static final int GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_PARAMETERS_ARB

public static final int GL_PROGRAM_PARAMETERS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_PARAMETERS_ARB

public static final int GL_MAX_PROGRAM_PARAMETERS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_NATIVE_PARAMETERS_ARB

public static final int GL_PROGRAM_NATIVE_PARAMETERS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB

public static final int GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_ATTRIBS_ARB

public static final int GL_PROGRAM_ATTRIBS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_ATTRIBS_ARB

public static final int GL_MAX_PROGRAM_ATTRIBS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_NATIVE_ATTRIBS_ARB

public static final int GL_PROGRAM_NATIVE_ATTRIBS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB

public static final int GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB

public static final int GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_ENV_PARAMETERS_ARB

public static final int GL_MAX_PROGRAM_ENV_PARAMETERS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB

public static final int GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_STRING_ARB

public static final int GL_PROGRAM_STRING_ARB
Accepted by the <pname> parameter of GetProgramStringARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_ERROR_POSITION_ARB

public static final int GL_PROGRAM_ERROR_POSITION_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_CURRENT_MATRIX_ARB

public static final int GL_CURRENT_MATRIX_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_TRANSPOSE_CURRENT_MATRIX_ARB

public static final int GL_TRANSPOSE_CURRENT_MATRIX_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_CURRENT_MATRIX_STACK_DEPTH_ARB

public static final int GL_CURRENT_MATRIX_STACK_DEPTH_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_MATRICES_ARB

public static final int GL_MAX_PROGRAM_MATRICES_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB

public static final int GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PROGRAM_ERROR_STRING_ARB

public static final int GL_PROGRAM_ERROR_STRING_ARB
Accepted by the <name> parameter of GetString:

See Also:
  - Constant Field Values

### GL_MATRIX0_ARB

public static final int GL_MATRIX0_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX1_ARB

public static final int GL_MATRIX1_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX2_ARB

public static final int GL_MATRIX2_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX3_ARB

public static final int GL_MATRIX3_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX4_ARB

public static final int GL_MATRIX4_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX5_ARB

public static final int GL_MATRIX5_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX6_ARB

public static final int GL_MATRIX6_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX7_ARB

public static final int GL_MATRIX7_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX8_ARB

public static final int GL_MATRIX8_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX9_ARB

public static final int GL_MATRIX9_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX10_ARB

public static final int GL_MATRIX10_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX11_ARB

public static final int GL_MATRIX11_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX12_ARB

public static final int GL_MATRIX12_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX13_ARB

public static final int GL_MATRIX13_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX14_ARB

public static final int GL_MATRIX14_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX15_ARB

public static final int GL_MATRIX15_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX16_ARB

public static final int GL_MATRIX16_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX17_ARB

public static final int GL_MATRIX17_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX18_ARB

public static final int GL_MATRIX18_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX19_ARB

public static final int GL_MATRIX19_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX20_ARB

public static final int GL_MATRIX20_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX21_ARB

public static final int GL_MATRIX21_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX22_ARB

public static final int GL_MATRIX22_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX23_ARB

public static final int GL_MATRIX23_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX24_ARB

public static final int GL_MATRIX24_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX25_ARB

public static final int GL_MATRIX25_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX26_ARB

public static final int GL_MATRIX26_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX27_ARB

public static final int GL_MATRIX27_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX28_ARB

public static final int GL_MATRIX28_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX29_ARB

public static final int GL_MATRIX29_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX30_ARB

public static final int GL_MATRIX30_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

### GL_MATRIX31_ARB

public static final int GL_MATRIX31_ARB
Accepted by the <mode> parameter of MatrixMode:

See Also:
  - Constant Field Values

## Constructor Details

### ARBProgram

public ARBProgram()

## Method Details

### glProgramStringARB

public static void glProgramStringARB(int target, int format, ByteBuffer string)

### glProgramStringARB

public static void glProgramStringARB(int target, int format, CharSequence string)
Overloads glProgramStringARB.

### glBindProgramARB

public static void glBindProgramARB(int target, int program)

### glDeleteProgramsARB

public static void glDeleteProgramsARB(IntBuffer programs)

### glDeleteProgramsARB

public static void glDeleteProgramsARB(int program)
Overloads glDeleteProgramsARB.

### glGenProgramsARB

public static void glGenProgramsARB(IntBuffer programs)

### glGenProgramsARB

public static int glGenProgramsARB()
Overloads glGenProgramsARB.

### glProgramEnvParameter4fARB

public static void glProgramEnvParameter4fARB(int target, int index, float x, float y, float z, float w)

### glProgramEnvParameter4dARB

public static void glProgramEnvParameter4dARB(int target, int index, double x, double y, double z, double w)

### glProgramEnvParameter4ARB

public static void glProgramEnvParameter4ARB(int target, int index, FloatBuffer params)

### glProgramEnvParameter4ARB

public static void glProgramEnvParameter4ARB(int target, int index, DoubleBuffer params)

### glProgramLocalParameter4fARB

public static void glProgramLocalParameter4fARB(int target, int index, float x, float y, float z, float w)

### glProgramLocalParameter4dARB

public static void glProgramLocalParameter4dARB(int target, int index, double x, double y, double z, double w)

### glProgramLocalParameter4ARB

public static void glProgramLocalParameter4ARB(int target, int index, FloatBuffer params)

### glProgramLocalParameter4ARB

public static void glProgramLocalParameter4ARB(int target, int index, DoubleBuffer params)

### glGetProgramEnvParameterARB

public static void glGetProgramEnvParameterARB(int target, int index, FloatBuffer params)

### glGetProgramEnvParameterARB

public static void glGetProgramEnvParameterARB(int target, int index, DoubleBuffer params)

### glGetProgramLocalParameterARB

public static void glGetProgramLocalParameterARB(int target, int index, FloatBuffer params)

### glGetProgramLocalParameterARB

public static void glGetProgramLocalParameterARB(int target, int index, DoubleBuffer params)

### glGetProgramARB

public static void glGetProgramARB(int target, int parameterName, IntBuffer params)

### glGetProgramARB

@Deprecated public static int glGetProgramARB(int target, int parameterName)
Deprecated.
Will be removed in 3.0. Use `glGetProgramiARB(int, int)` instead.
Overloads glGetProgramivARB.

### glGetProgramiARB

public static int glGetProgramiARB(int target, int parameterName)
Overloads glGetProgramivARB.

### glGetProgramStringARB

public static void glGetProgramStringARB(int target, int parameterName, ByteBuffer paramString)

### glGetProgramStringARB

public static String glGetProgramStringARB(int target, int parameterName)
Overloads glGetProgramStringARB.

### glIsProgramARB

public static boolean glIsProgramARB(int program)